﻿import request from '/@/utils/request';
enum Api {
  AddWcsMateialPzInfo = '/api/wcsMateialPzInfo/add',
  DeleteWcsMateialPzInfo = '/api/wcsMateialPzInfo/delete',
  UpdateWcsMateialPzInfo = '/api/wcsMateialPzInfo/update',
  PageWcsMateialPzInfo = '/api/wcsMateialPzInfo/page',
  DetailWcsMateialPzInfo = '/api/wcsMateialPzInfo/detail',
}

// 增加物料品种信息维护表
export const addWcsMateialPzInfo = (params?: any) =>
	request({
		url: Api.AddWcsMateialPzInfo,
		method: 'post',
		data: params,
	});

// 删除物料品种信息维护表
export const deleteWcsMateialPzInfo = (params?: any) => 
	request({
			url: Api.DeleteWcsMateialPzInfo,
			method: 'post',
			data: params,
		});

// 编辑物料品种信息维护表
export const updateWcsMateialPzInfo = (params?: any) => 
	request({
			url: Api.UpdateWcsMateialPzInfo,
			method: 'post',
			data: params,
		});

// 分页查询物料品种信息维护表
export const pageWcsMateialPzInfo = (params?: any) => 
	request({
			url: Api.PageWcsMateialPzInfo,
			method: 'post',
			data: params,
		});

// 详情物料品种信息维护表
export const detailWcsMateialPzInfo = (id: any) => 
	request({
			url: Api.DetailWcsMateialPzInfo,
			method: 'get',
			data: { id },
		});


